hadoop-mapreduce-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Keith Thomas <keith.tho...@gmail.com>
Subject Re: The most newbie question ever
Date Thu, 21 Mar 2013 23:35:07 GMT
Thanks for the great link but sorry it looks like this is going to be a
long process.

Step 1 is: mvn clean install -DskipTests

First of all my OS tells me I need maven but it gives me two choices, maven
and maven 2.

Is there any pre-req info for Hadoop? I've previously guessed I should
installed open jdk 6. This time I guess maven 2. The result of the 'clean
install' is an error,

[ERROR] BUILD ERROR
[INFO]
------------------------------------------------------------------------
[INFO] Cannot execute mojo: clean. It requires a project with an existing
pom.xml, but the build is not using one.

:(

Looking ahead the next instruction is to CD into a folder that does not
exist on my machine,

cd hadoop-mapreduce-project

A little after that the instructions note I must have installed
version 2.4.1 or greater. 2.4.1 of what?

I feel I am missing the point somewhere :(



On Thu, Mar 21, 2013 at 4:12 PM, Mayank Bansal <mayank@apache.org> wrote:

> http://hadoop.apache.org/docs/r2.0.3-alpha/
>
> On Thu, Mar 21, 2013 at 4:00 PM, Keith Thomas <keith.thomas@gmail.com>
> wrote:
> > After three years in a non-Hadoop Windows wilderness I am lucky enough to
> > return and wow I find Hadoop 2.0 .... Brilliant!
> >
> > I quickly navigated here:
> >    http://hadoop.apache.org/index.html#Getting+Started
> >
> > and eagerly downloaded 2.0.3 alpha. Hmmm, now what? I see the following
> > sections,
> >
> > Getting Started
> >
> > To get started, begin here:
> >
> > Learn about Hadoop by reading the documentation.
> > Download Hadoop from the release page.
> > Discuss Hadoop on the mailing list.
> >
> >
> > but I can't find installation instructions. I look for the latest
> version of
> > my Tom White collection and the latest book is a year old and is
> unlikely to
> > be current enough to be of use to someone as out of date as me. Please
> help
> > me to get started. So far I've only managed to download and unzip 2.0.3
> and
> > to install open jdk 6.
> >
> > Many thanks for your patience.
> >
>

Mime
View raw message